//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace nispi.controlclass
{
    class ListViewEx : ListView
    {
        public ListViewEx()
        {
            this.DoubleBuffered = true;
        }
        protected override void WndProc(ref Message m)
        {
            const int WM_VSCROLL = 0x115;

            switch (m.Msg)
            {
                case WM_VSCROLL:
                    int num = Const.form.boardListTabControlParts.SelectedIndex;
                    MainFormConst.boardListTabMain.view_list[num].boardListControls.listViewParts.Focus();
                    break;
            }
            base.WndProc(ref m);
        }
    }
}
        